/// <reference types="express" />
import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { Request } from '@loopback/rest';
import { OurPartnerMaster } from '../models';
import { OurPartnerMasterRepository } from '../repositories';
export declare class OurpartnermasterController {
    ourPartnerMasterRepository: OurPartnerMasterRepository;
    constructor(ourPartnerMasterRepository: OurPartnerMasterRepository);
    private getMulterUpload;
    createWithPhoto(request: Request): Promise<OurPartnerMaster>;
    create(ourPartnerMaster: Omit<OurPartnerMaster, 'partnerId'>): Promise<OurPartnerMaster>;
    find(filter?: Filter<OurPartnerMaster>): Promise<any[]>;
    findById(id: number, filter?: FilterExcludingWhere<OurPartnerMaster>): Promise<any>;
    updateAll(ourPartnerMaster: OurPartnerMaster, where?: Where<OurPartnerMaster>): Promise<Count>;
    updateById(id: number, ourPartnerMaster: OurPartnerMaster): Promise<void>;
    replaceById(id: number, ourPartnerMaster: OurPartnerMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
